Installing Dell OpenManage on ESXi 4

Publié par Tpeltier le

Custom Instructions for OM-SrvAdmin-Dell-Web-6.3.0-2075.VIB-ESX41i_A00.8.zip:

Download VMware vSphere Command Line Interface (vSphere CLI) from http://www.vmware.com and install on your Microsoft Windows or Linux system. Alternately, you can import VMware vSphere Management Assistant (vMA) into your ESXi 4 host.

Instructions when using vSphere CLI:
1. Copy the Dell OpenManage bundle to a directory on your system.

2. If you are using Microsoft Windows, navigate to the folder where you have installed the vSphere
CLI utilities to execute the command mentioned in step 4.
If you are using vSphere CLI on Linux, you can execute the command in step 4 from any directory.

3. Shut down all guest operating systems on the ESXi 4 host and put the ESXi 4 host in maintenance mode.

4. Execute the command
Vihostupdate.pl –server 172.16.85.45 -i -b OM-SrvAdmin-Dell-Web-6.3.0-2075.VIB-ESX41i_A00.8.zip

5. Enter the root username and password of the ESXi 4 host when prompted.
The command output displays a successful or a failed update. In case of a failed update, see « Troubleshooting ».

6. Restart the ESXi 4 host system.

Troubleshooting:

• When attempting to use the vihostupdate command, the following error may be displayed:
“unpacking c: OM-SrvAdmin-Dell-Web-6.3.0-xxxx.VIB-ESX41i.zip
metadata.zip.sig does not exist
signature mismatch : metadata.zip
Unable to unpack update package. “
This error is displayed if you are using an older version of the Remote CLI. Download and install the vSphere version of the CLI.

• When attempting to use the vihostupdate command, the following error may be displayed:
« Unable to create, write or read a file as expected.I/O Error (28) on file : [Errno 28] No space left on device »

See the VMware KB article 1012640 at http://kb.vmware.com to fix this error.

• When attempting to use the vihostupdate command, the following error may be displayed:
“This operation is NOT supported on 4.1.0 platform.”
This error is displayed if you are using vSphere CLI for 4.0 platforms. Download and install the vSphere CLI for 4.1 platform.

You must enable CIM OEM providers on the VMware ESXi 4 system after installing the Dell OpenManage bundle to manage a system with Dell OpenManage Server Administrator Web Server version 6.3

NOTE: The below mentioned section can be ignored if the CIMoemProviderEnabled field is by default set to 1 after installation of Dell OpenManage bundle.

To enable CIM OEM providers on the VMware ESXi 4 system using vSphere CLI :

1. If you are using vSphere CLI on Microsoft Windows, navigate to the directory in which you have installed the vSphere CLI utilities.

If you are using vSphere CLI on Linux, you can execute the command in step 2 from any directory.

2. Execute the following command:
vicfg-advcfg.pl –server 172.16.85.45  –set 1 UserVars.CIMoemProviderEnabled

3. For the changes to take effect without restarting the system, use the Restart Management Agents option in the Direct Console User Interface (DCUI) on
the local console of the VMware ESXi system.
If the changes are not effective and you cannot connect to the VMware ESXi host using Server Administrator, restart the ESXi 4 host system

Catégories : Vmware

0 commentaire

Laisser un commentaire

Avatar placeholder

Votre adresse e-mail ne sera pas publiée.

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.